package com.ruoyi.project.business.domain;

import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.framework.aspectj.lang.annotation.Excel;
import com.ruoyi.framework.web.domain.BaseEntity;

import java.util.List;

/**
 * 参数包关联梯型对象 tp_parabar_related_model
 * 
 * @author ruoyi
 * @date 2024-04-28
 */
@Data
public class TpParabarRelatedModel extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** ID */
    private Long id;

    /** 参数包ID */
    @Excel(name = "参数包ID")
    private Long parabarId;
    private List<Long> parabarIds;

    /** 电梯型号ID */
    @Excel(name = "电梯型号ID")
    private Long elevatorModelId;

    /** 删除标记（0：未删除  1：已删除） */
    private String delFlag;

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("parabarId", getParabarId())
            .append("elevatorModelId", getElevatorModelId())
            .append("delFlag", getDelFlag())
            .append("createTime", getCreateTime())
            .append("createBy", getCreateBy())
            .append("updateTime", getUpdateTime())
            .append("updateBy", getUpdateBy())
            .append("remark", getRemark())
            .toString();
    }
}
